#!/usr/bin/env bash

cat << 'LOGO'
###############################################################
   
                           重启脚本

                运行此脚本时可附加参数（不加参数则视为全部重启）
                        -1 storage
                        -2 insert
                        -3 query

###############################################################                                             
LOGO
base_dir=$(
    cd "$(dirname "$0")"
    pwd
)
cd $base_dir
# extra function
## func of log
function log_warn() {
    local date=$(date "+%Y-%m-%d-%H:%M:%S")
    local para=$1
    echo "[WARN] $date $1"

}

function log_info() {
    local date=$(date "+%Y-%m-%d-%H:%M:%S")
    local para=$1
    echo "[INFO] $date $1"
}

function log_err() {
    local date=$(date "+%Y-%m-%d-%H:%M:%S")
    local para=$1
    echo -e "[ERROR] $date $1"
}

./stop.sh no_logo "$@" && ./run.sh no_logo
log_info "服务重启结束"
